###########################################################################
#
#
###########################################################################

Module protocol/unreal

    #NetworkDomain	"Mynet.Com"

    #CSSetChannelTime

    ServerNumeric	4

    #SetServerTimes
    #SetServerTimes 12h

EndModule

###########################################################################
#
# Mail module configuration
#
###########################################################################

Module mail/main

    FromAddress "services@Mynet.Com"

    FromName "Services IRCD System"

EndModule

################################ Sendmail-based low-level module

Module mail/sendmail

    SendmailPath /usr/sbin/sendmail

EndModule

################################ SMTP-based low-level module

Module mail/smtp

    RelayHost	mail.Mynet.Com

    SMTPName	mail.Mynet.Com

    MaxSockets	100

EndModule

Module operserv/main

    OperServName	"OperServ"	"Operator Server"

    GlobalName		"Global"	"Global Noticer"

    OperServDB		"oper.db"

    ServicesRoot	"Mehmet"

    KillClonesAutokill	15m
AllowRaw
    WallOper
    WallBadOS

    WallOSChannel

    WallSU

EndModule

################################ Autokill module settings

Module operserv/akill

    AutokillDB		"akill.db"

    #AutokillReason "Mynet.Com .TR Network Kurallarina uymadiniz."
    AutokillReason "Kurallara aykiri davranis gosterdiniz. Akill list! [ Flax Services ]"

    AutokillExpiry	30d

    AkillChanExpiry	15d

    OperMaxExpiry	30d

    EnableExclude

    #ExcludeReason "IRC operator host"
    ExcludeReason "Autokills: %s"

    ExcludeExpiry	30d

    ImmediatelySendAutokill

    WallOSAkill

    WallAutokillExpire

EndModule

################################ News module settings

Module operserv/news

    NewsDB		"news.db"

EndModule

################################ Sessions module settings

Module operserv/sessions

    ExceptionDB		"exception.db"

    DefSessionLimit	35

    MaxSessionLimit	250

    ExceptionExpiry	12h

    SessionLimitExceeded "Kurallara aykiri davranis gosterdiniz. Akill list! [ Flax Services ]"
    
    SessionLimitDetailsLoc "Balant problemleriniz iin ; http://www.Mynet.Com - admin@Mynet.Com"

    SessionLimitAutokill 10s 5 30m "Kurallara aykiri davranis gosterdiniz. Akill list! [ Flax Services ]"

    WallOSException

    WallExceptionExpire

EndModule

################################ S-line module settings

Module operserv/sline

    SlineDB		"sline.db"

    #SGlineReason "Invalid real name"
    SGlineReason "Kurallara aykiri davranis gosterdiniz. Akill list! [ Flax Services ]"

    #SQlineReason "Reserved nickname"
    SQlineReason "Kurallara aykiri davranis gosterdiniz. Akill list! [ Flax Services ]"

    #SZlineReason "You are banned from this network"
    SZlineReason "Z-lined: %s"

    ImmediatelySendSline

    SGlineExpiry	30d

    SQlineExpiry	30d

    SZlineExpiry	30d

    WallOSSline

    #allSlineExpire

    SQlineIgnoreOpers

    SQlineKill

EndModule

###########################################################################
#
# NickServ configuration
#
###########################################################################

Module nickserv/main

    NickServName	"NickServ"	"Nickname Server"

    NickServDB		"nick.db"

    NSEnableRegister

    NSRegEmailMax	5

    NSRequireEmail

    NSRegDelay		10m

    NSInitialRegDelay	10s

    NSDefKill
    #NSDefKillQuick
    NSDefSecure
    #NSDefPrivate
    NSDefHideEmail
    NSDefHideUsermask
    #NSDefHideQuit
    NSDefMemoSignon
    NSDefMemoReceive

    NSExpire		60d

    NSExpireWarning	3d

    NSSuspendExpire	14d 7d

    NSShowPassword

    NSEnforcerUser	enforcer
    NSEnforcerUser	enforcer@Mynet.Com

    NSForceNickChange

    NSReleaseTimeout	1m

    NSAllowKillImmed

    NSListOpersOnly

    NSListMax		100

    NSSecureAdmins

    NSEnableDropEmail

    NSDropEmailExpire 10m

    NSHelpWarning

EndModule

################################ Access list module

Module nickserv/access

    NSAccessMax		16

    NSFirstAccessEnable

    NSFirstAccessWild

EndModule

################################ Autojoin module

Module nickserv/autojoin

    NSAutojoinMax		10

EndModule

################################ Link module

Module nickserv/link

    NSLinkMax		5

EndModule

################################ Authentication module

Module nickserv/mail-auth

    NSNoAuthExpire	12h

    NSSendauthDelay	1h

EndModule

################################ SENDPASS module

Module nickserv/sendpass

    NSSendpassDelay	15m

EndModule

###########################################################################
#
# ChanServ configuration
#
###########################################################################

Module chanserv/main

    ChanServName	"ChanServ"	"Channel Server"

    ChanServDB		"chan.db"

    CSEnableRegister

    #CSRegisteredOnly

    CSMaxReg	5

    CSDefKeepTopic
    CSDefSecureOps
    CSDefPrivate
    CSDefTopicLock
    CSDefLeaveOps
    #CSDefSecure
    #CSDefOpNotice
    #CSDefEnforce
    #CSDefHideEmail
    #CSDefHideTopic
    #CSDefHideMlock

    CSExpire	50d

    CSSuspendExpire 14d 7d

    CSShowPassword

    CSAccessMax	512

    CSAutokickMax	256

    CSAutokickReason "Kurallara aykiri davranis gosteren bir kanala giris yapmaya calisiyorsunuz. [ Flax Services ]"
    
    CSInhabit	10s

    CSRestrictDelay	10s

    CSListOpersOnly

    CSListMax	100

    CSForbidShortChannel

EndModule

################################ SENDPASS module

Module chanserv/sendpass

    CSSendpassDelay	15m

EndModule

###########################################################################
#
# MemoServ configuration
#
###########################################################################

Module memoserv/main

    MemoServName	"MemoServ"	"Memo Server"

    MSMaxMemos	20

    MSExpire	14d

    MSExpireUnread

    MSSendDelay	4m

    MSNotifyAll

EndModule

################################ FORWARD module

Module memoserv/forward

    MSAllowForward

    MSForwardDelay	10s

EndModule

################################ IGNORE module

Module memoserv/ignore

    MSIgnoreMax	64

EndModule

###########################################################################
#
# StatServ configuration
#
###########################################################################

Module statserv/main

    StatServName	"StatServ"	"Statistics Server"

    StatServDB		"stats.db"

    SSOpersOnly

EndModule

###########################################################################
#
# HTTP server modules
#
###########################################################################

Module httpd/main

    ListenTo 62.76.230.216:8081
    #ListenTo services.Mynet.Com:8080
    ListenTo 62.76.230.216:8081

    ListenBacklog	5

    RequestBufferSize	4096

    MaxConnections	10

    MaxRequests		20

    IdleTimeout		30s

    LogConnections

EndModule

################################ IP address authorization module

Module httpd/auth-ip

    AllowHost / *

EndModule

################################ Password authorization module

Module httpd/auth-password

    AuthName		"Mynet.Com IRC Services"

EndModule

################################ Database access module

Module httpd/dbaccess

    Prefix		"/dbaccess"

EndModule

################################ Debug page module

Module httpd/debug

    DebugURL		"/debug"

EndModule

################################ Nick/channel redirect module

Module httpd/redirect

    NicknamePrefix		"/~"

    ChannelPrefix	"/channel/"

EndModule

################################ Top page module

Module httpd/top-page

    Filename	"mturk.txt" text/plain
    Filename	/var/www/html/ircservices/mturkservices.html

    Redirect	 http://www.Mynet.Com/ircservices

EndModule

###########################################################################
#
# Miscellaneous modules
#
###########################################################################

################################ DevNull settings

Module misc/devnull

    DevNullName		"Mynet.Com"	"Services BOT"

EndModule

################################ HelpServ settings

Module misc/helpserv

    HelpServName	"HelpServ"	"Help Server"

    HelpDir		helpfiles

EndModule

################################ XML export settings

Module misc/xml-export

# This module has no configurable settings.

EndModule

################################ XML import settings

Module misc/xml-import


    OnNicknameCollision	skipgroup

    OnChannelCollision	skip

    VerboseImport

EndModule

###########################################################################
